diff --git a/parser/parse_content.c b/parser/parse_content.c
index 6c704a4..51347e8 100644
--- a/parser/parse_content.c
+++ b/parser/parse_content.c
@@ -204,11 +204,15 @@ static type_node_t subtype_tree[] = {
 											{'o',SUBTYPE_UNKNOWN,1,-1},
 												{'d',SUBTYPE_UNKNOWN,1,-1},
 													{'y',SUBTYPE_EXTERNAL_BODY,0,-1},
-	{'m',SUBTYPE_UNKNOWN,1,-1}, /* 107 */
+	{'m',SUBTYPE_UNKNOWN,1,112}, /* 107 */
 		{'i',SUBTYPE_UNKNOWN,1,-1},
 			{'x',SUBTYPE_UNKNOWN,1,-1},
 				{'e',SUBTYPE_UNKNOWN,1,-1},
 					{'d',SUBTYPE_MIXED,0,-1},
+	{'i',SUBTYPE_UNKNOWN,1,-1}, /* 112 */
+		{'s',SUBTYPE_UNKNOWN,1,-1},
+			{'u',SUBTYPE_UNKNOWN,1,-1},
+				{'p',SUBTYPE_ISUP,0,-1},
 };
 
 
diff --git a/parser/parse_content.h b/parser/parse_content.h
index 6b03ce5..eb67f60 100644
--- a/parser/parse_content.h
+++ b/parser/parse_content.h
@@ -64,6 +64,7 @@ struct mime_type {
 #define SUBTYPE_XML_MSRTC_PIDF     12
 #define SUBTYPE_CPIM_PIDFXML       13
 #define SUBTYPE_MIXED              14
+#define SUBTYPE_ISUP               15
 #define SUBTYPE_ALL          0xfe
 #define SUBTYPE_UNKNOWN      0xff
 
